|  | Home | Documentation | _base64 Struct Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
_base64 Struct Reference

Represents the <base64> binary data element. More...

`#include <xml-rpc.h>`

## Public Member Functions
| _base64 ()
| _base64 (struct soap *)
| _base64 (struct soap *, int, unsigned char *)
int | size () const
| byte size of data More...
unsigned char * | ptr ()
| pointer to data More...
void | size (int)
| set byte size of data More...
void | ptr (unsigned char *)
| set pointer to data More...

## Public Attributes
unsigned char * | __ptr
| pointer to raw binary data block More...
int | __size
| size of raw binary data block More...

## Detailed Description

Represents the <base64> binary data element.

## Constructor & Destructor Documentation

_base64::_base64 | ( |  | ) |

_base64::_base64 | ( | struct soap * |  | ) |

_base64::_base64 | ( | struct soap * | ,
|  | int | ,
|  | unsigned char * |
| ) |  |

## Member Function Documentation

unsigned char* _base64::ptr | ( |  | ) |

pointer to data

void _base64::ptr | ( | unsigned char * |  | ) |

set pointer to data

int _base64::size | ( |  | ) | const

byte size of data

void _base64::size | ( | int |  | ) |

set byte size of data

## Member Data Documentation

unsigned char* _base64::__ptr

pointer to raw binary data block

int _base64::__size

size of raw binary data block

The documentation for this struct was generated from the following file:

- xml-rpc.h